Subject: Re: EXE has file junk in it
From: [email-masked] (Bill Klein)

4 Jun 1997 11:45:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
 <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.2 (32)
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

I wrote:
>> > I have noticed, upon examining a few of the
>> > EXE files that I created using GNU Win32, that
>> > they have "junk" from other unrelated text files
>> > on the same hard drive (but not the same folder).
>> > Has anyone seen this before, or know what is
>> > causing this?

Jason L. Esman aka _Jman wrote:
>Using a hex editor I see this too. If you hex edit a file compiled with
>gnuwin32 it shows files from other dir in it. This has happened on both
>NT/Win95. It goes so far as getting a copy of my users an .pwd files. I
>see it as a security risk an advise not compiling any file with gnuwin32
>that has sensitive matter on your hd... 

Thank you for confirming this; I thought I might be
going mad! I also double-checked to make sure that
it wasn't just the file system making it *look*
like another file from your harddrive is in that
EXE. I got my friend to look at the EXE on his
computer, and he saw the same file from MY computer!

Hey, this is a serious problem!  :/

Bill Klein <[email-masked]> - http://bk.base.org/

"Extraordinary claims require extraordinary evidence."
                                        -David Hume
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".